[Archived] Tube Adjustment System 1.0.3

Adds mounts to let you move your stock along some selected buffer tubes.

USE Modular Attachments Server Side Slider/Shooter System instead

Semi-functional/mostly cosmetic for the gun. Does not alter first person head position. WILL cause clipping with player model.

image.png


Adds a few new mounting points, 2 retracted and 4 extended to allow you to mount stock along some selected buffer tube. Some minor stat changes added with the respective positions.


Examples.png



All items are added to my custom trader Alice at LL1.


To use, attach any of the positioning mount onto the TAS Base and then attach the stock to the positioning mount.

use_instructions.png


This mod wouldn't be possible without Mighty_Condor's code as the framework.

Thanks to SSH for inspiring this server mod based solution.



Installation:

First install my custom trader


Extract folder in 7z file to your mods folder


The directory should look like this:

/user/mods/yzzz TubeAdjustmentSystem/


If you are using ALGORITHMIC LEVEL PROGRESSION it is recommended you add "mod_buffer_shifty" to the blacklist of its configs via "customBlacklist" to prevent any possible errors. Or you can try loading this mod after ALP in the load order.

Known Issues:

Maybe some server botgen issues perhaps?

The first person camera does not change, when the stock is moved.

It just clips into the player as the stock position technically does not change/collide.


NOT COMPATIBILE WITH REALISM MOD'S AND ITS STOCK SYSTEM.


Uninstalling:

If you want to remove the mod make sure to not have any of the added items in your profile before deleting the folder.



LICENSES:

Backend/mod.ts by Might Condor - University of Illinois/NCSA Open Source License


Bundles/models by PETTAN - Creative Commons BY-NC-ND 4.0

  • Version 1.0.3

    Changed "ExtraSizeRight": 1 to 0 for the TAS stock base.


    Just fixed it so its actually the 1.0.3 download link. Redownload if your file says 1.0.2.

  • Version 1.0.2

    Cube error fix.

  • Version 1.0.1

    Removed "649ec87d8007560a9001ab36" from filter list of mount base.

    This should fix the error for users without the AK-12 mod.

    I will add the tube mount back to the AK-12 buffer tube when 3.70 hits.


  • Version 1.0.0

  • If you want a client mod solution use this mod by SSH, its probably better anyway.

    hub.sp-tarkov.com/files/file/1446/
    Thinking 1
  • I cant get this one to load.


    TypeError: Cannot set properties of undefined (setting 'mod_buffer_shifty')

    TypeError: Cannot set properties of undefined (setting 'mod_buffer_shifty')

    at SASitems.addLocales (C:\Users\clutc\Desktop\SPT\user\mods\yzzz TubeAdjustmentSystem\src\mod.js:429:73)

    at SASitems.postDBLoad (C:\Users\clutc\Desktop\SPT\user\mods\yzzz TubeAdjustmentSystem\src\mod.js:74:18)

    at PostDBModLoader.executeMods (C:\snapshot\project\obj\loaders\PostDBModLoader.js)

    at PostDBModLoader.onLoad (C:\snapshot\project\obj\loaders\PostDBModLoader.js)

    at App.load (C:\snapshot\project\obj\utils\App.js)

    TypeError: Cannot set properties of undefined (setting 'mod_buffer_shifty')

    TypeError: Cannot set properties of undefined (setting 'mod_buffer_shifty')

    at SASitems.addLocales (C:\Users\clutc\Desktop\SPT\user\mods\yzzz TubeAdjustmentSystem\src\mod.js:429:73)

    at SASitems.postDBLoad (C:\Users\clutc\Desktop\SPT\user\mods\yzzz TubeAdjustmentSystem\src\mod.js:74:18)

    at PostDBModLoader.executeMods (C:\snapshot\project\obj\loaders\PostDBModLoader.js)

    at PostDBModLoader.onLoad (C:\snapshot\project\obj\loaders\PostDBModLoader.js)

    at App.load (C:\snapshot\project\obj\utils\App.js)

    • same

    • Did you turn on oldlocales in the config settings? That setting doesn't work.

      The mod works on my end, like I said unless you provide more details I can't help you.

    • No, it's off.

    • Actually I think I know whats causing the error. Let me see if I can get it fixed. Thanks for bringing it up.

    • I'm guessing both of you do not have the ak-12 mod right?

      I have added the mount to the filters on the stuff from 13.5, so if you don't have that it will give you errors. I'll remove the stock and add it back when the next SPT version hits.

      hub.sp-tarkov.com/files/file/1385/